WordPress.org

Ready to get started?Download WordPress

Forums

Scrappy
1.3 install fails (1 post)

  1. jdehaan
    Member
    Posted 1 year ago #

    After installing the scrappy theme, all comments to pages were disabled. After upgrading wordpress from 3.2.1 to 3.5 it still didn't work. The apache error logfile pointed to a file: "[Tue Jan 01 15:30:27 2013] [error] [client 1.2.3.4] PHP Parse error: syntax error, unexpected T_STRING in /var/lib/www.example.tld/wp-content/themes/scrappy/comments.php on line 33, referer: http://www.example.tld/" A post at stackoverflow pointed in the right direction. Checking out the differences between 1.3 and 1.4 of comments.php revealed that the first had <cr><lf> (windows) line ends, while the 1.4 had <lf> (unix style) line ends, while there was not any other difference between them. Backtracking revealed that the 1.3 theme was uploaded from a Ubuntu 10.04 workstation with ssh. The 1.4 was installed manually with wget and unzip straight on the server itself, which is a 10.04 too. Hope this helps someone.

Topic Closed

This topic has been closed to new replies.

About this Theme

About this Topic